<ui:composition xmlns:a4j="http://richfaces.org/a4j" xmlns:c="http://java.sun.com/jstl/core"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:ui="http://java.sun.com/jsf/facelets" xmlns="http://www.w3.org/1999/xhtml">
    <s:decorate template="/prov_info_cons/_filterTemplate.xhtml">
        <ui:param name="assertion" value="#{assertion}"/>
        <ui:param name="currentRequest" value="#{currentReq}"/>
        <ui:param name="parent" value="#{parent}"/>
        <ui:define name="assertionDetails">
            <s:div styleClass="btn-group">
                <button type="button" class="btn gzl-btn-blue dropdown-toggle" data-toggle="dropdown"
                        aria-expanded="false">Create filter<span class="caret"/>
                </button>
                <ui:include src="/prov_info_cons/_listExpressionButtons.xhtml">
                    <ui:param name="currentRequest" value="#{currentRequest}"/>
                    <ui:param name="parent" value="#{assertion}"/>
                </ui:include>
            </s:div>
            <a4j:repeat value="#{assertion.filterSetItems}" var="entry">
                <s:div id="subview_#{entry.index}">
                    <s:decorate template="/prov_info_cons/substringFilter.xhtml"
                                rendered="#{entry.class.simpleName.equals('SubstringFilter4GUI')}">
                        <ui:param name="assertion" value="#{entry}"/>
                        <ui:param name="currentReq" value="#{currentRequest}"/>
                        <ui:param name="parent" value="#{assertion}"/>
                    </s:decorate>
                    <s:decorate template="/prov_info_cons/attributeDescription.xhtml"
                                rendered="#{entry.class.simpleName.equals('AttributeDescription4GUI')}">
                        <ui:param name="assertion" value="#{entry}"/>
                        <ui:param name="currentReq" value="#{currentRequest}"/>
                        <ui:param name="parent" value="#{assertion}"/>
                    </s:decorate>
                    <s:decorate template="/prov_info_cons/ruleAssertion.xhtml"
                                rendered="#{entry.class.simpleName.equals('MatchingRuleAssertion4GUI')}">
                        <ui:param name="assertion" value="#{entry}"/>
                        <ui:param name="currentReq" value="#{currentRequest}"/>
                        <ui:param name="parent" value="#{assertion}"/>
                    </s:decorate>
                    <s:decorate template="/prov_info_cons/valueAssertion.xhtml"
                                rendered="#{entry.class.simpleName.equals('AttributeValueAssertion4GUI')}">
                        <ui:param name="assertion" value="#{entry}"/>
                        <ui:param name="currentReq" value="#{currentRequest}"/>
                        <ui:param name="parent" value="#{assertion}"/>
                    </s:decorate>
                   <!-- <s:decorate template="/prov_info_cons/filterSet.xhtml"
                                rendered="#{entry.class.simpleName.equals('FilterSet4GUI')}">
                        <ui:param name="assertion" value="#{entry}"/>
                        <ui:param name="currentReq" value="#{currentRequest}"/>
                        <ui:param name="parent" value="#{assertion}"/>
                    </s:decorate>-->
                </s:div>
            </a4j:repeat>
        </ui:define>
    </s:decorate>
</ui:composition>
